Bash completion for upstart

Bug #535172 reported by Daniel Hahler on 2010-03-09
32
This bug affects 4 people
Affects Status Importance Assigned to Milestone
bash-completion (Ubuntu)
Low
Unassigned

Bug Description

Binary package hint: upstart

Please add bash completion to the upstart package.

There's some good working script at http://<email address hidden>/msg00174.html already, which is far better than nothing already.

It should get checked if initctl works fast/good enough now already.

ProblemType: Bug
Architecture: i386
Date: Tue Mar 9 17:52:33 2010
DistroRelease: Ubuntu 10.04
NonfreeKernelModules: nvidia
Package: upstart 0.6.5-4
ProcEnviron:
 LANGUAGE=
 PATH=(custom, user)
 LANG=de_DE.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-16.24-generic
SourcePackage: upstart
Uname: Linux 2.6.32-16-generic i686

Daniel Hahler (blueyed) wrote :
Changed in upstart (Ubuntu):
importance: Undecided → Wishlist
status: New → Triaged
Daniel Hahler (blueyed) wrote :

Based on http://<email address hidden>/msg00174.html

Gotchas:
 - does not handle arguments, e.g. to network-interface
 - I guess grepping for "instance" is obsolete?

Daniel Hahler (blueyed) wrote :

Also does not handle jobs with whitespace in their name (if those are valid after all).
Instead of "ls" for _jobs() it should probably use "initctl list", too - which then keeps track of what is valid and what is not.

Based on the contents of the bash-completion package, this should be shipped there, not in the Upstart package

affects: upstart (Ubuntu) → bash-completion (Ubuntu)
Daniel Hahler (blueyed) wrote :

I'm targeting this for Lucid: with upstart being pushed it should get some auto-completion.

Changed in bash-completion (Ubuntu):
milestone: none → ubuntu-10.04-beta-2
Sebastian Krysmanski (manski) wrote :

Are there any plans when this will be published to Ubuntu's apt repository?

Bryce Harrington (bryce) wrote :

Hi Daniel, thanks so much for this contribution!

I don't know if there's still time to include it for oneiric but I've uploaded the patch in case there is; otherwise it should go in for pugnacious penguin.

Changed in bash-completion (Ubuntu):
milestone: ubuntu-10.04-beta-2 → none
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package bash-completion - 1:1.3-1ubuntu5

---------------
bash-completion (1:1.3-1ubuntu5) oneiric; urgency=low

  * patches/100_upstart.patch: New bash completion for upstart.
    (LP: #535172)
  * patches/101_bash_completion.oga_ogv.patch: Increase support for other
    OGG formats including .oga, .ogx, etc.
    (LP: #311525)
  * patches/102_manpager.patch: Override MANPAGER when generating perldoc
    completions.
    (LP: #738408)
  * patches/103_colormake.patch: Add support for colormake to the make
    completion rules.
    (LP: #743208)
 -- Bryce Harrington <email address hidden> Mon, 03 Oct 2011 22:33:39 -0700

Changed in bash-completion (Ubuntu):
status: Fix Committed → Fix Released
Steve Langasek (vorlon) wrote :

upstart has already been shipping a bash-completion snippet of its own for a while; and this patch seems to not have had any effect on the bash-completion binary package (no 'upstart' file is included). I think this patch should be backed out again...

Changed in bash-completion (Ubuntu):
importance: Wishlist → Low
status: Fix Released → Triaged
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package bash-completion - 1:1.3-1ubuntu6

---------------
bash-completion (1:1.3-1ubuntu6) oneiric; urgency=low

  * Drop patch 100_upstart.patch. upstart maintains its own completion
    script (despite word to the opposite in comment #4).
    (LP: #535172)
 -- Bryce Harrington <email address hidden> Tue, 04 Oct 2011 12:56:23 -0700

Changed in bash-completion (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Patches